## ros-melodic-dynamixel-workbench 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dynamixel_workbench)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-dynamixel-workbench (2.2.0-0bionic) bionic; urgency=high

  * Added XW540
  * Bugs fixed, typos revised
  * Contributors: Ryan Shim, Yutaka Kondo, T-Kitajima, Nico Zevallos, Madhur Deep Jain, Will Son, YongHo Na

 -- Will Son <willson@robotis.com>  Thu, 24 Sep 2020 15:00:00 -0000

ros-melodic-dynamixel-workbench (2.1.0-0bionic) bionic; urgency=high

  * Removed single_manager and single_manager_gui
  * Added XH540, PRO (A Firmware), RH_P12_RN, RH_P12_RN (A Firmware)
  * Contributors: Ryan Shim

 -- Will Son <willson@robotis.com>  Mon, 03 Jun 2019 15:00:00 -0000

ros-melodic-dynamixel-workbench (2.0.0-0bionic) bionic; urgency=high

  * added YAML configuration for Dynamixel
  * supported position control mode, current based position control mode through Joint Trajectory Message
  * supported velocity control mode through Twist Message
  * reduced memory usage(Contribute by @KurtE)
  * updated API for sync, bulk instruction
  * updated control period (default is 10ms)
  * supported Linux, macos
  * supported Pro+
  * supported DynamixelSDK(after v.3.6.2)
  * supported OpenManipulator
  * Contributors: Darby Lim, KurtE, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 03 Jan 2019 15:00:00 -0000

ros-melodic-dynamixel-workbench (1.0.0-0bionic) bionic; urgency=high

  * upgraded read time #162
  * added Dynamixel PRO information #162
  * added proext function and amended readRegister
  * added mutex for log thread
  * added timer for data log
  * added PROext header
  * added readRegister function
  * updated dxl ext function
  * update dxl pro info
  * update proInfo func
  * modified max radian position
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 19 Jul 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.3.1-0bionic) bionic; urgency=high

  * updated Qt5 and delete Qt4 config
  * deleted rqt_plugin header
  * merged pull request #154 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/154> #153 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/153>
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Sun, 03 Jun 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.3.0-0bionic) bionic; urgency=high

  * added cmd_vel topics, joint_state topics, msgs
  * added getProtocolVersion()
  * changed max_dxl_deries_num
  * changed compile options for qt5
  * deleted unused code
  * merged pull request #152 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/152> #151 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/151> #149 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/149> #132 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/132>
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.2.4-0bionic) bionic; urgency=high

  * changed package.xml to format v2
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Mon, 19 Mar 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.2.3-0bionic) bionic; urgency=high

  * modified dialog rotate direction
  * added dynamixel_sdk lib
  * added debug code
  * deleted anotation
  * Contributors: Darby Lim

 -- Pyo <pyo@robotis.com>  Thu, 08 Mar 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.2.2-0bionic) bionic; urgency=high

  * modified the CI configurations (#117 <https://github.com/ROBOTIS-GIT/dynamixel-workbench/issues/117>)
  * modified the CMakeLists.txt to fix wrong path (ros/rosdistro#17019 <https://github.com/ros/rosdistro/pull/17019>)
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Tue, 27 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.2.1-0bionic) bionic; urgency=high

  * modified the CMakeLists.txt to fix wrong path
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Wed, 21 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.2.0-0bionic) bionic; urgency=high

  * added conver function to PRO user
  * added dxl_info_cnt init function
  * added compatibility for different protocol
  * added static
  * added convert function
  * added baudrate sorting
  * added all dynamixel series
  * added RX-10
  * added millis
  * added init dynamixel example
  * added setting for packet handler
  * added monitor example
  * added item
  * added dynamixel_item
  * added toolbox_ros and modified arduino path
  * added linux build and example
  * added begin and getprotocolversion function
  * modified linux version
  * modified description
  * modified model_info
  * modified variable range
  * modified setTools function
  * modified sync function
  * modified merge conflict
  * modified variable name
  * modified reset function
  * modified function name and return variable name
  * modified name of return var
  * modified item name
  * modified reset function
  * modified item name (added underscore)
  * modified function name
  * modified function for ROS depend
  * modified function to make space
  * modified begin function to reduce storage space
  * modified MX (2.0) protocol setting bug
  * modified example
  * modified sync and bulk comm
  * modified lib
  * modified begin
  * modified variable
  * modified begin function
  * modified joint and wheel mode
  * modified variable name
  * modified begin function
  * modified set function
  * modified dynamixel item
  * modified scan function
  * modified folder tree
  * modified dynamixel_tool
  * modified toolbox structure
  * modified .device and modified funtion for opencm and opencr
  * modified ifdef
  * modified get file
  * modified arduino version
  * modified get device in arduino
  * fixed reset bug
  * deleted dead code
  * deleted empty space
  * deleted xl define
  * deleted debug code and update ping func
  * test OpenCM
  * Contributors: Darby Lim, Karl D. Hansen, Yoonseok Pyo

 -- Pyo <pyo@robotis.com>  Sun, 18 Feb 2018 15:00:00 -0000

ros-melodic-dynamixel-workbench (0.1.9-0bionic) bionic; urgency=high

  * deleted libqt4 (single_manager_gui)
  * modified dependency (controller, single_manager, toolbox)


=== debian/control ===
Source: ros-melodic-dynamixel-workbench
Section: misc
Priority: extra
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/dynamixel_workbench
Standards-Version: 3.9.2

Package: ros-melodic-dynamixel-workbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamixel-workbench-controllers, ros-melodic-dynamixel-workbench-operators, ros-melodic-dynamixel-workbench-toolbox
Description: Dynamixel-Workbench is dynamixel solution for ROS.
 This metapackage allows you to easily change the ID, baudrate and operating mode of the Dynamixel. Furthermore, it supports various controllers based on operating mode and Dynamixel SDK. These controllers are commanded by operators.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-dynamixel-workbench//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
